## r-cran-skimr 2.1.5+dfsg

=== DESCRIPTION ===
Package: skimr
Title: Compact and Flexible Summaries of Data
Version: 2.1.5
Authors@R: 
    c(person(given = "Elin",
             family = "Waring",
             role = c("cre", "aut"),
             email = "elin.waring@gmail.com"),
      person(given = "Michael",
             family = "Quinn",
             role = "aut",
             email = "msquinn@google.com"),
      person(given = "Amelia",
             family = "McNamara",
             role = "aut",
             email = "amcnamara@smith.edu"),
      person(given = "Eduardo",
             family = "Arino de la Rubia",
             role = "aut",
             email = "earino@gmail.com"),
      person(given = "Hao",
             family = "Zhu",
             role = "aut",
             email = "haozhu233@gmail.com"),
      person(given = "Julia",
             family = "Lowndes",
             role = "ctb",
             email = "lowndes@nceas.ucsb.edu"),
      person(given = "Shannon",
             family = "Ellis",
             role = "aut",
             email = "sellis18@jhmi.edu"),
      person(given = "Hope",
             family = "McLeod",
             role = "ctb",
             email = "hmgit2@gmail.com"),
      person(given = "Hadley",
             family = "Wickham",
             role = "ctb",
             email = "hadley@rstudio.com"),
      person(given = "Kirill",
             family = "Müller",
             role = "ctb",
             email = "krlmlr+r@mailbox.org"),
      person(family = "RStudio, Inc.",
             role = "cph",
             comment = "Spark functions"),
      person(given = "Connor",
             family = "Kirkpatrick",
             role = "ctb",
             email = "hello@connorkirkpatrick.com"),
      person(given = "Scott",
             family = "Brenstuhl",
             role = "ctb",
             email = "brenstsr@miamioh.edu"),
      person(given = "Patrick",
             family = "Schratz",
             role = "ctb",
             email = "patrick.schratz@gmail.com"),
      person(given = "lbusett",
             role = "ctb",
             email = "lbusett@gmail.com"),
      person(given = "Mikko",
             family = "Korpela",
             role = "ctb",
             email = "mvkorpel@iki.fi"),
      person(given = "Jennifer",
             family = "Thompson",
             role = "ctb",
             email = "thompson.jennifer@gmail.com"),
      person(given = "Harris",
             family = "McGehee",
             role = "ctb",
             email = "mcgehee.harris@gmail.com"),
      person(given = "Mark",
             family = "Roepke",
             role = "ctb",
             email = "mroepke5@gmail.com"),
      person(given = "Patrick",
             family = "Kennedy",
             role = "ctb",
             email = "pkqstr@protonmail.com"),
      person(given = "Daniel",
             family = "Possenriede",
             role = "ctb",
             email = "possenriede@gmail.com"),
      person(given = "David",
             family = "Zimmermann",
             role = "ctb",
             email = "david_j_zimmermann@hotmail.com"),
      person(given = "Kyle", 
             family = "Butts",
             role ="ctb",
             email = "buttskyle96@gmail.com"),
      person(given = "Bastian", 
             family = "Torges",
             role ="ctb",
             email = "bastian.torges@gmail.com"),
      person(given = "Rick",
             family = "Saporta",
             role = "ctb",
             email = "Rick@TheFarmersDog.com"),
      person(given = "Henry",
             family = "Morgan Stewart",
             role = "ctb",
             email = "henry.morganstewart@gmail.com")
       )
Description: A simple to use summary function that can be used with pipes
    and displays nicely in the console. The default summary statistics may
    be modified by the user as can the default formatting.  Support for
    data frames and vectors is included, and users can implement their own
    skim methods for specific object types as described in a vignette.
    Default summaries include support for inline spark graphs.
    Instructions for managing these on specific operating systems are
    given in the "Using skimr" vignette and the README.
License: GPL-3
URL: https://docs.ropensci.org/skimr/ (website),
        https://github.com/ropensci/skimr/
BugReports: https://github.com/ropensci/skimr/issues
Depends: R (>= 3.1.2)
Imports: cli, dplyr (>= 0.8.0), knitr (>= 1.2), magrittr (>= 1.5),
        pillar (>= 1.6.4), purrr, repr, rlang (>= 0.3.1), stats,
        stringr (>= 1.1), tibble (>= 2.0.0), tidyr (>= 1.0), tidyselect
        (>= 1.0.0), vctrs
Suggests: covr, crayon, data.table, dtplyr, extrafont, haven,
        lubridate, rmarkdown, testthat (>= 2.0.0), withr
VignetteBuilder: knitr
Encoding: UTF-8
RoxygenNote: 7.2.3
Collate: 'deprecated.R' 'dplyr.R' 'stats.R' 'skim_with.R'
        'get_skimmers.R' 'reshape.R' 'sfl.R' 'skim.R' 'skim_obj.R'
        'skim_print.R' 'skimr-package.R' 'summary.R' 'utils.R'
        'vctrs.R'
NeedsCompilation: no
Packaged: 2022-12-23 10:37:38 UTC; elinwaring
Author: Elin Waring [cre, aut],
  Michael Quinn [aut],
  Amelia McNamara [aut],
  Eduardo Arino de la Rubia [aut],
  Hao Zhu [aut],
  Julia Lowndes [ctb],
  Shannon Ellis [aut],
  Hope McLeod [ctb],
  Hadley Wickham [ctb],
  Kirill Müller [ctb],
  RStudio, Inc. [cph] (Spark functions),
  Connor Kirkpatrick [ctb],
  Scott Brenstuhl [ctb],
  Patrick Schratz [ctb],
  lbusett [ctb],
  Mikko Korpela [ctb],
  Jennifer Thompson [ctb],
  Harris McGehee [ctb],
  Mark Roepke [ctb],
  Patrick Kennedy [ctb],
  Daniel Possenriede [ctb],
  David Zimmermann [ctb],
  Kyle Butts [ctb],
  Bastian Torges [ctb],
  Rick Saporta [ctb],
  Henry Morgan Stewart [ctb]
Maintainer: Elin Waring <elin.waring@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-23 11:10:02 UTC

## r-cran-skimr 2.1.4+dfsg

=== debian/changelog ===
r-cran-skimr (2.1.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update test deps

 -- Nilesh Patra <nilesh@debian.org>  Mon, 30 May 2022 16:18:58 +0530

r-cran-skimr (2.1.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source only upload.
  * Standards-Version: 4.6.1 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 10:05:20 +0200

r-cran-skimr (2.1.4+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1009821)

 -- Eric Brown <eb@ericebrown.com>  Mon, 18 Apr 2022 09:35:35 -0400

=== debian/control ===
Source: r-cran-skimr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Eric Brown <eb@ericebrown.com>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli,
               r-cran-dplyr (>= 0.8.0),
               r-cran-knitr,
               r-cran-magrittr,
               r-cran-pillar (>= 1.6.4),
               r-cran-purrr,
               r-cran-repr,
               r-cran-rlang,
               r-cran-stringr,
               r-cran-tibble,
               r-cran-tidyr (>= 1.0),
               r-cran-tidyselect (>= 1.0.0),
               r-cran-vctrs
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-skimr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-skimr.git
Homepage: https://cran.r-project.org/package=skimr
Rules-Requires-Root: no

Package: r-cran-skimr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R compact and flexible summaries of data
 A simple to use summary function that can be used with pipes
 and displays nicely in the console. The default summary statistics may
 be modified by the user as can the default formatting.  Support for
 data frames and vectors is included, and users can implement their own
 skim methods for specific object types as described in a vignette.
 Default summaries include support for inline spark graphs.
 Instructions for managing these on specific operating systems are
 given in the "Using skimr" vignette and the README.

## r-cran-skimr 2.1.5+dfsg

=== debian/changelog ===
r-cran-skimr (2.1.5+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.1.5+dfsg
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 30 Dec 2022 18:10:09 +0530

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                r-cran-tidyr (>= 1.0),
                r-cran-tidyselect (>= 1.0.0),
                r-cran-vctrs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-skimr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-skimr.git
 Homepage: https://cran.r-project.org/package=skimr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-lubridate, r-cran-haven
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto" \
 https://cloud.r-project.org/src/contrib/skimr_([-\d.]*)\.tar\.gz

## r-cran-skimr 2.2.2%2Bdfsg

=== debian/changelog ===
r-cran-skimr (2.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Sat, 14 Feb 2026 18:12:52 +0900

=== debian/control ===
Source: r-cran-skimr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Eric Brown <eb@ericebrown.com>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-dplyr,
 r-cran-knitr,
 r-cran-pillar,
 r-cran-purrr,
 r-cran-repr,
 r-cran-rlang,
 r-cran-stringr,
 r-cran-tibble,
 r-cran-tidyr,
 r-cran-tidyselect,
 r-cran-vctrs,
 r-cran-magrittr,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-skimr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-skimr.git
Homepage: https://cran.r-project.org/package=skimr
Rules-Requires-Root: no

Package: r-cran-skimr
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R compact and flexible summaries of data
 A simple to use summary function that can be used with pipes
 and displays nicely in the console. The default summary statistics may
 be modified by the user as can the default formatting.  Support for
 data frames and vectors is included, and users can implement their own
 skim methods for specific object types as described in a vignette.
 Default summaries include support for inline spark graphs.
 Instructions for managing these on specific operating systems are
 given in the "Using skimr" vignette and the README.

## r-cran-skimr 2.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: skimr
 Title: Compact and Flexible Summaries of Data
-Version: 2.1.5
+Version: 2.2.2
 Authors@R: 
     c(person(given = "Elin",
              family = "Waring",
@@ -103,7 +103,10 @@
       person(given = "Henry",
              family = "Morgan Stewart",
              role = "ctb",
-             email = "henry.morganstewart@gmail.com")
+             email = "henry.morganstewart@gmail.com"),
+      person(given = "Olivier",
+             family = "Roy",
+             role = "ctb")
        )
 Description: A simple to use summary function that can be used with pipes
     and displays nicely in the console. The default summary statistics may
@@ -114,25 +117,25 @@
     Instructions for managing these on specific operating systems are
     given in the "Using skimr" vignette and the README.
 License: GPL-3
-URL: https://docs.ropensci.org/skimr/ (website),
+URL: https://docs.ropensci.org/skimr/,
         https://github.com/ropensci/skimr/
 BugReports: https://github.com/ropensci/skimr/issues
-Depends: R (>= 3.1.2)
-Imports: cli, dplyr (>= 0.8.0), knitr (>= 1.2), magrittr (>= 1.5),
-        pillar (>= 1.6.4), purrr, repr, rlang (>= 0.3.1), stats,
-        stringr (>= 1.1), tibble (>= 2.0.0), tidyr (>= 1.0), tidyselect
-        (>= 1.0.0), vctrs
-Suggests: covr, crayon, data.table, dtplyr, extrafont, haven,
-        lubridate, rmarkdown, testthat (>= 2.0.0), withr
+Depends: R (>= 4.1.0)
+Imports: cli, dplyr (>= 1.0.0), knitr (>= 1.2), pillar (>= 1.6.4),
+        purrr, repr, rlang, stats, stringr (>= 1.1), tibble (>= 2.0.0),
+        tidyr (>= 1.0), tidyselect (>= 1.0.0), utils, vctrs (>= 0.5.0)
+Suggests: data.table, dtplyr, extrafont, haven, lubridate, rmarkdown,
+        testthat (>= 3.0.0), withr
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3
 Collate: 'deprecated.R' 'dplyr.R' 'stats.R' 'skim_with.R'
-        'get_skimmers.R' 'reshape.R' 'sfl.R' 'skim.R' 'skim_obj.R'
-        'skim_print.R' 'skimr-package.R' 'summary.R' 'utils.R'
-        'vctrs.R'
+        'get_skimmers.R' 'package.R' 'reshape.R' 'sfl.R' 'skim.R'
+        'skim_obj.R' 'skim_print.R' 'skimr-package.R' 'summary.R'
+        'utils.R' 'vctrs.R'
+Config/testthat/edition: 3
 NeedsCompilation: no
-Packaged: 2022-12-23 10:37:38 UTC; elinwaring
+Packaged: 2026-01-09 17:38:40 UTC; elinwaring
 Author: Elin Waring [cre, aut],
   Michael Quinn [aut],
   Amelia McNamara [aut],
@@ -158,7 +161,8 @@
   Kyle Butts [ctb],
   Bastian Torges [ctb],
   Rick Saporta [ctb],
-  Henry Morgan Stewart [ctb]
+  Henry Morgan Stewart [ctb],
+  Olivier Roy [ctb]
 Maintainer: Elin Waring <elin.waring@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-23 11:10:02 UTC
+Date/Publication: 2026-01-10 08:40:02 UTC

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-data.table,
 r-cran-dtplyr,
 r-cran-haven,
 r-cran-lubridate,
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
 r-cran-withr,
